random(3tcl)

NAME
random - Create and manipulate randomizer channels

SYNOPSIS
package require Tcl

package require memchan

random

DESCRIPTION

random
    creates a random channel which absorbs everything written into it and uses it as a seed for a random number generator. This generator is used to create a random sequence of bytes when reading from the channel. It is not possible to seek the channel.

OPTIONS
Memory channels created by random provide one additional option to set or query.

-delay ?milliseconds?
    A random channel is always writable and readable. This means that all fileevent-handlers will fire continuously. To avoid starvation of other event sources the events raised by this channel type have a configurable delay. This option is set in milliseconds and defaults to 5.

SEE ALSO
fifo, fifo2, memchan, null, zero

KEYWORDS
channel, i/o, in-memory channel, random

COPYRIGHT
Copyright (c) 2004 Pat Thoyts <patthoyts@users.sourceforge.net>